org.apache.jmeter.gui

## Class GlobalUndoableEdit

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - org.apache.jmeter.gui.GlobalUndoableEdit

- All Implemented Interfaces:
    Serializable, UndoableEdit

      public final class GlobalUndoableEdit
      extends AbstractUndoableEdit

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalUndoableEdit(UndoHistoryItem item, UndoHistoryItem previous, Consumer<UndoHistoryItem> loader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `redo()`
    `void` | `undo()`

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalUndoableEdit

          public GlobalUndoableEdit(UndoHistoryItem item,
                                    UndoHistoryItem previous,
                                    Consumer<UndoHistoryItem> loader)

  - ### Method Detail

    - #### undo

          public void undo()
                    throws CannotUndoException

      Specified by:
        `undo` in interface `UndoableEdit`
      Overrides:
        `undo` in class `AbstractUndoableEdit`
      Throws:
        `CannotUndoException`

    - #### redo

          public void redo()
                    throws CannotRedoException

      Specified by:
        `redo` in interface `UndoableEdit`
      Overrides:
        `redo` in class `AbstractUndoableEdit`
      Throws:
        `CannotRedoException`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.